#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define ITERS 100
#define BIG	1000

double recurs (double x, double c){
	return x*x+c;
}
void rdata(char *myfile, double *x){
	FILE *f = fopen(myfile,"r");
	fscanf(f, "%lf %lf %lf", x, x+1, x+2);
	fclose(f);
	return;
}

int iterate(double c, double (*f)(double, double)){
	double x = 0;
	int i = 0;
	while (i<ITERS && x<BIG){
		x = f(x,c);
		i++;
	}
	return i;
}

int main(int argc, char *argv[]){
	int i;
	double x,c;
	double cc[3];
	char *myfile;
	FILE *of;
	myfile = argv[1];
	rdata(myfile, cc);
	of=fopen("result.dat","w");
	for (c=cc[0]; c<cc[1]; c+=cc[2]){
		if ((i=iterate(c,&recurs))<ITERS){
			fprintf(of, "%f %d\n", c ,i);
		}
	}
	fclose(of);
	return 0;
}
